<div class="login__input">
  <form [formGroup]="formLogin" (ngSubmit)="login(formLogin.value)">


      <div class="form-group">
        <input type="text"
          class="form-control"
          placeholder="Documento de Identidad"
          formControlName="username"
          [ngStyle]="{'border': (viewStatus ? '1px solid red' : '')}">
          <span *ngIf="viewStatus">Debe ingresar el numero de documento</span>
      </div>

    <div class="form-group">
      <input type="password"
        class="form-control"
        placeholder="Contraseña"
        formControlName="password"
        [ngStyle]="{'border': (viewStatus ? 'border: 1px solid rgb(211, 18, 69);' : '')}">
        <span *ngIf="viewStatus">Debe ingresar una contraseña</span>
    </div>
    <div class="login__toggle">
      <mat-slide-toggle [checked]="remindMe"
      (change)="setValue( $event )">Recuerda mi usuario!</mat-slide-toggle>
    </div>
    <div class="login__btn">
      <button type="submit" class="btn">{{'inicioSession' | translate}}</button>
    </div>
  </form>
</div>

<!--
{{formLogin.valid}} -->

